XSetWMClientMachine(__libmansuffix__)

NAME
XSetWMClientMachine, XGetWMClientMachine - set or read a window's WM_CLIENT_MACHINE property

SYNTAX

void XSetWMClientMachine(Display *display, Window w, XTextProperty *text_prop);

Status XGetWMClientMachine(Display *display, Window w, XTextProperty *text_prop_return);

ARGUMENTS

display
    Specifies the connection to the X server.

text_prop
    Specifies the structure to be used.

text_prop_return
    Returns the structure.

w   Specifies the window.

DESCRIPTION
The convenience function calls to set the WM_CLIENT_MACHINE property.

The convenience function performs an on the WM_CLIENT_MACHINE property. It returns a nonzero status on success; otherwise, it returns a zero status.

PROPERTIES

WM_CLIENT_MACHINE
    The string name of the machine on which the client application is running.

SEE ALSO
XAllocClassHint(__libmansuffix__), XAllocIconSize(__libmansuffix__), XAllocSizeHints(__libmansuffix__), XAllocWMHints(__libmansuffix__), XSetCommand(__libmansuffix__), XSetTransientForHint(__libmansuffix__), XSetTextProperty(__libmansuffix__), XSetWMColormapWindows(__libmansuffix__), XSetWMIconName(__libmansuffix__), XSetWMName(__libmansuffix__), XSetWMProperties(__libmansuffix__), XSetWMProtocols(__libmansuffix__), XStringListToTextProperty(__libmansuffix__)
Xlib - C Language X Interface